Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Profile.cpp File Reference

`#include "Profile.h"`
`#include "Messaging_PolicyValueC.h"`
`#include "Stub.h"`
`#include "debug.h"`
`#include "target_specification.h"`
`#include "ORB_Core.h"`
`#include "Client_Strategy_Factory.h"`
`#include "Profile.i"`

Include dependency graph for Profile.cpp:

## Functions
const char * | get_rcsid_tao_Profile (const char *)
CORBA::Boolean | operator<< (TAO_OutputCDR &cdr, const TAO_opaque &x)
CORBA::Boolean | operator>> (TAO_InputCDR &cdr, TAO_opaque &x)
## Variables
const char * | rcsid_tao_Profile = get_rcsid_tao_Profile ( rcsid_tao_Profile )

## Function Documentation

const char* get_rcsid_tao_Profile | ( | const char * |  | ) | `[inline, static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | cdr,
|  | const TAO_opaque & | x
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | cdr,
|  | TAO_opaque & | x
| ) |

## Variable Documentation

const char* rcsid_tao_Profile = get_rcsid_tao_Profile ( rcsid_tao_Profile )`[static]`